# PyTorch Calibrated

A PyTorch Library For Interpretable Machine Learning. This library is a PyTorch implementation of modeling techniques found in [Monotonic Calibrated Interpolated Look-Up Tables](https://jmlr.org/papers/volume17/15-243/15-243.pdf).

## Documentation

[Reference](reference/reference.md) provides a technical reference for the library.

All documents are hosted at [https://docs.sotai.ai/pytorch-calibrated](https://docs.sotai.ai/pytorch-calibrated).

## Contribution Guidelines

See the guide on [contributing](CONTRIBUTING.md) for full details on how to contribute to the library. For any feature and/or bug requests, visit our [Issues](https://github.com/SOTAI-Labs/pytorch-calibrated/issues) or [Project](https://github.com/orgs/SOTAI-Labs/projects/4) page.

## Artifice

Artifice is a fully-hosted platform for interpretable machine learning. It provides an easy way to configure and train calibrated models and is powered by [PyTorch Calibrated](https://github.com/SOTAI-Labs/pytorch-calibrated) and [TensorFlow Lattice](https://github.com/tensorflow/lattice).

See [https://docs.sotai.ai/artifice](https://docs.sotai.ai/artifice) to learn more.

## Examples

For detailed examples on how to use the library, see [Examples](examples/examples.md).

## License

[Apache 2.0](https://github.com/SOTAI-Labs/pytorch-calibrated/blob/dev/LICENSE)
